Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class StaticFieldsManager

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.StaticFieldsManager

public class StaticFieldsManager
extends java.lang.Object

Nested Class Summary
`static class` `StaticFieldsManager.StaticField`

Constructor Summary
`StaticFieldsManager()`
`StaticFieldsManager(java.lang.String declaringClassName)`

Method Summary
`java.lang.String` `addStaticField(java.lang.String type, java.lang.String nameHint, java.lang.String value)`
`java.util.Iterator` `allFields()`
`void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticFieldsManager

    public StaticFieldsManager(java.lang.String declaringClassName)

### StaticFieldsManager

    public StaticFieldsManager()

Method Detail

### addStaticField

    public java.lang.String addStaticField(java.lang.String type,
                                           java.lang.String nameHint,
                                           java.lang.String value)

### reset

    public void reset()

### allFields

    public java.util.Iterator allFields()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.